{# @var ea \EasyCorp\Bundle\EasyAdminBundle\Context\AdminContext #}
{# @var field \EasyCorp\Bundle\EasyAdminBundle\Dto\FieldDto #}
{# @var entity \EasyCorp\Bundle\EasyAdminBundle\Dto\EntityDto #}
{% if ea.crud.currentAction == 'detail' %}
    {{ field.formattedValue|raw }}
{% else %}
    {% set html_id = 'ea-text-editor-' ~ field.uniqueId %}
    <a href="#" data-bs-toggle="modal" data-bs-target="#{{ html_id }}">
        <i class="far fa-file-alt"></i> {{ 'field.text_details.view_details'|trans([], domain = 'EasyAdminBundle') }}
    </a>

    <div class="modal fade" id="{{ html_id }}" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">{{ 'field.text_details.view_details'|trans([], domain = 'EasyAdminBundle') }}</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="{{ 'action.close'|trans([], domain = 'EasyAdminBundle') }}">
                    </button>
                </div>
                <div class="modal-body">
                    <h3>{{ 'field.text_details.object'|trans([], domain = 'EasyAdminBundle') }}</h3>
                    {% if entity.instance.object %}
                    <div>
                        {{ entity.instance.object | raw }}
                    </div>
                    {% else %}
                        <p class="fst-italic">
                            {{ 'field.text_details.empty'|trans([], domain = 'EasyAdminBundle') }}
                        </p>
                    {% endif %}
                    <h3 class="mt-3">{{ 'field.text_details.mainActions'|trans([], domain = 'EasyAdminBundle') }}</h3>
                    {% if entity.instance.mainActions %}
                    <div>
                        {{ entity.instance.mainActions | raw }}
                    </div>
                    {% else %}
                        <p class="fst-italic">
                            {{ 'field.text_details.empty'|trans([], domain = 'EasyAdminBundle') }}
                        </p>
                    {% endif %}
                    <h3 class="mt-3">{{ 'field.text_details.reasons'|trans([], domain = 'EasyAdminBundle') }}</h3>
                    {% if entity.instance.reasons %}
                    <div>
                        {{ entity.instance.reasons | raw }}
                    </div>
                    {% else %}
                        <p class="fst-italic">
                            {{ 'field.text_details.empty'|trans([], domain = 'EasyAdminBundle') }}
                        </p>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
{% endif %}